Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util.conf
Class Element

    java.lang.Object
      org.apache.slide.util.conf.Element

public class Element
extends java.lang.Object

Constructor Summary
`Element()`
`Element(java.lang.String s, Element parent)`

Method Summary
`void` | `addChild(Element element)`
`void` | `clearAttributes()`
`void` | `clearChildren()`
`void` | `clearComment()`
`void` | `clearData()`
`int` | `countChildren()`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAttributeValue(java.lang.String s)`
`Element` | `getChild(java.lang.String name)`
`java.util.Enumeration` | `getChildren()`
`java.util.Enumeration` | `getChildren(java.lang.String s)`
`java.lang.String` | `getComment()`
`java.lang.String` | `getData()`
`java.lang.String` | `getName()`
`Element` | `getParent()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildren()`
`void` | `removeAttribute(java.lang.String s)`
`void` | `setAttribute(java.lang.String s, java.lang.String s1)`
`void` | `setComment(java.lang.String s)`
`void` | `setData(java.lang.Object s)`
`void` | `setName(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    public Element()

### Element

    public Element(java.lang.String s,
                   Element parent)

Method Detail

### getParent

    public Element getParent()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String s)

### hasAttributes

    public boolean hasAttributes()

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String s)

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.String s1)

### removeAttribute

    public void removeAttribute(java.lang.String s)

### clearAttributes

    public void clearAttributes()

### getChildren

    public java.util.Enumeration getChildren()

### getChildren

    public java.util.Enumeration getChildren(java.lang.String s)

### getChild

    public Element getChild(java.lang.String name)

### hasChildren

    public boolean hasChildren()

### countChildren

    public int countChildren()

### addChild

    public void addChild(Element element)
                  throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### clearChildren

    public void clearChildren()

### getData

    public java.lang.String getData()

### setData

    public void setData(java.lang.Object s)

### clearData

    public void clearData()

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String s)

### clearComment

    public void clearComment()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD